sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
44694315fe5a6aad211a1c230f8b82a1ea4b98d3bc802e4ede5218c39f043197 | Shell | 1,070 | 31 | #!/bin/sh
# Before gzip-1.4, gzip -d would segfault on some inputs.
# Copyright (C) 2010-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of... |
75889233cd658d370e88bc99d6bcfe118b149893137ca5d15ec3aae076c5ed36 | Shell | 1,075 | 25 | #!/bin/bash
#SBATCH -p park
#SBATCH -A park_contrib
#SBATCH -t 120:00:00
#SBATCH --mem 4000
#SBATCH --mail-type=FAIL,END
#SBATCH -n 1
# conda activate scan2
scan2 -d scan2_out init
cd scan2_out
scan2 config \
--verbose \
--ref /n/data1/hms/dbmi/park/yifan/tools/SCAN2_REF/human_g1k_v37_decoy.fasta \
--dbsn... |
35c9fddd201b64905ee007c1bd057f10e0245bb98740fdeb1b8144e898eef64b | Shell | 1,077 | 28 | #!/usr/bin/env bash
echo "Preparing local medperf server..."
# we are located at /workspaces/medperf/ where repo is cloned to
pip install -r server/requirements.txt
pip install -r server/test-requirements.txt
pip install -e ./cli
medperf profile activate local
bash tutorials_scripts/setup_webui_tutorial.sh
cd server
c... |
7c3b1570d1ea6064956d58ae1e986074bc3aa07b84516c711befe7c1f0daa9db | Shell | 1,081 | 51 | #!/bin/bash
module load python/3.6.4-anaconda
source activate ldsc
cd ~/workdir/pr5/05_LDSC/TOP20K_EXPAND_50kb
# Loop through the directories per peak set
# Each peak set belongs to a node
for j in $(ls | grep 'ADULT')
do
name=$j
cd ~/workdir/pr5/05_LDSC/TOP20K_EXPAND_50kb/$name
# Liftover from hg38... |
1165e2296c760fb78b7b54da4d576aedaada78120b5a73fad0715e14ebb795e2 | Shell | 1,088 | 35 | #!/bin/bash
# turn on bash's job control
set -e
# load libs
. /sh_libs/liblog.sh
info "Starting dask tests on EncoderMap SLURM."
echo $LDAP_ADMIN_PASSWORD > /etc/ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/pam_ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/libnss-ldap.secret
unset LDAP_ADMIN_PASSWORD
# wait for the ... |
8fe4ef92128e62f0f8de70f9b2fcc1c9cfe3145a90f3e139c785db1d14610e8e | Shell | 1,092 | 32 | #!/bin/bash
#PBS -l select=1:ncpus=4:mem=16gb
#PBS -l walltime=01:00:00
#PBS -N react_masks
module load anaconda3/personal
source activate graphtrp
# Parameters
study="psilodep1"
session="before"
dataset="5-HT_atlas_2mm"
receptor_set="Believeau-5"
# Move into the output parent directory (where out_masks/ is created... |
b0f1c27fe529f8d2f754299f6776986863727b0a368f30e53c4f0f489550875d | Shell | 1,093 | 40 | #!/bin/bash
## Build libxgboost4j.so targeting glibc 2.17 systems
set -euo pipefail
if [[ $# -ne 1 ]]
then
echo "Usage: $0 {x86_64,aarch64}"
exit 1
fi
arch=$1
image_repo="xgb-ci.manylinux2014_${arch}"
source ops/pipeline/classify-git-branch.sh
source ops/pipeline/get-docker-registry-details.sh
source ops/pipeli... |
b5a6c229814c143310ec2735d51a5091af7e5c653872f1f138fa95d07e023d34 | Shell | 1,110 | 25 | #!/usr/bin/bash
# ==============================================================================
# SCRIPT INFORMATION:
# ==============================================================================
# SCRIPT: REMOVE DUPLICATES AFTER RUNNING REPROIN
# PROJECT NAME: ZOO
# WRITTEN BY LENNART WITTKUHN, 2020
# CONTACT: WIT... |
a914d31d696933c9c90c3417508e7bf61c8d59817479332ba46be0728d06e90d | Shell | 1,114 | 1 | curl -sk -X PUT https://localhost:8000/api/v0/benchmarks/1/ -d '{"approval_status": "APPROVED"}' -H 'Content-Type: application/json' -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJodHRwczovL21lZHBlcmYub3JnL2VtYWlsIjoidGVzdGFkbWluQGV4YW1wbGUuY29tIiwiaXNzIjoiaHR0cHM6Ly9sb2NhbGhvc3Q6ODAwMC8iLCJzdWIiOiJ0... |
215d78de03b99051236e79189bfba63a5d8cb9bbea2a8cf2896bad18755864af | Shell | 1,116 | 48 | #!/bin/bash
set -e
echo "C compiler: $CC"
echo "C++ compiler: $CXX"
set -x
#
# This script is supposed to run inside the PoMiDAQ Docker container
# on the CI system.
#
$CC --version
# configure PoMiDAQ build with all flags enabled
mkdir build && cd build
cmake -G Ninja \
-DMAINTAINER=ON \
-DPYTHON=ON \
... |
ce2f516b0d09830222c2cf386f71ec59df156a0ddf4196be9b9c36d7a30753ef | Shell | 1,121 | 55 | #!/usr/bin/env bash
# Extract a distributable Java Runtime Environment for MagellanMapper
# dependencies
HELP="
Build a distributable Java Runtime Environment using jlink for MagellanMapper
dependencies.
Arguments:
-h: Show help and exit.
-o [path]: Output directory; defaults to \"jre_<platform>\".
"
output_dir=... |
65547a826588a6e6ab49aad02aedca30143f11f528c421a467d4392688e3b892 | Shell | 1,122 | 48 | #!/bin/bash
##SBATCH --job-name=KindersegGPU
#SBATCH --time=00:15:00
#SBATCH --partition=gpu
#SBATCH --gres=gpu:1
#SBATCH --mem=16G
#SBATCH --tasks=12
#SBATCH --array=-454
sub_dir="$HOME/ag_work/dellorca/data/KinderSeg"
dest_dir="$sub_dir/derivatives/FastsurferVINN_CC"
mkdir -p $dest_dir
cd $sub_dir
sids=($(ls -d ... |
456cfc237b0dd6f6d509b072d0e21327343c9cfbc43cea43f98f837ca9becb15 | Shell | 1,127 | 37 | #!/bin/sh
set -e
SRC_DIR=$1
INSTALL_DIR=$2
PYTHON_BIN=$3
if [ ! -e ${INSTALL_DIR}/.install_finished ]
then
echo 'Neuron was not fully installed in previous build, installing ...'
mkdir -p ${SRC_DIR}
cd ${SRC_DIR}
echo "Downloading NEURON ..."
rm -rf nrn
git clone --depth 1 https://github.com/neu... |
2ddb02a76b042a4253c28a6bd4a1dc8be52070e39532f174a0512bc8b919dc83 | Shell | 1,139 | 40 | #!/bin/bash
# Top Note, besides the demo below, from v2.2 we now include test sets for both
# smart-seq2 and 10x Genomics data, in the brie-tutorials repo:
# https://github.com/huangyh09/brie-tutorials/tree/main/tests
#a demo for running brie2
## Assume you already have exon-skipping events and sequence features
##... |
4cb3916ed6ca9dc967080d8183e49d7568b6aada29970bdf5c6e48bb0fc874c7 | Shell | 1,145 | 39 | #!/bin/bash
# Please run this script under ${project_id} in project directory of
deepspeed_args="--master_port=11000" # Default argument
if [ $# -ge 1 ]; then
deepspeed_args="$1"
fi
exp_id=finetune_with_lora_sym
project_dir=$(cd "$(dirname $0)"/..; pwd)
output_dir=${project_dir}/output_models/${exp_id}
log_dir... |
460ed5c3c388e380ef3792d647aaa3dc8e090a25fc0dedd9a39858b835def152 | Shell | 1,147 | 39 | #!/bin/bash
# Please run this script under ${project_id} in project directory of
deepspeed_args="--master_port=11000" # Default argument
if [ $# -ge 1 ]; then
deepspeed_args="$1"
fi
exp_id=finetune_with_lora_sym_method
project_dir=/data1/home/hhu01/zlsong/CSLLM
output_dir=${project_dir}/output_models/${exp_id}... |
ecc359caaec623fb38185151fd160170f30d78922265ff199b9473b8cca00606 | Shell | 1,150 | 30 | #!/bin/bash -l
#SBATCH --job-name=corr
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=12
#SBATCH --mem-per-cpu=40G
#SBATCH --time=01:00:00
#SBATCH -o ./logcorr/np_%A_%a.o
#SBATCH -e ./logcorr/np_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-10
##-3%10
conda activate spacetop_env
echo "SLUR... |
c0949ec64f8bc149d94af15382137c5b5e9553d0fcfeea9e5757300664ff481f | Shell | 1,154 | 25 | #!/bin/bash
set -e
rm -fr ./agaricus* ./*.pem /tmp/nvflare
world_size=2
# Generate server and client certificates.
openssl req -x509 -newkey rsa:2048 -days 7 -nodes -keyout server-key.pem -out server-cert.pem -subj "/C=US/CN=localhost"
openssl req -x509 -newkey rsa:2048 -days 7 -nodes -keyout client-key.pem -out cl... |
cb5a69bb63c2444daae0993447773f1d5286396e9edd7a2f28bc11002fa424ae | Shell | 1,154 | 35 | #!/bin/bash
## Software
bbduk="/opt/ohpc/Taiwania3/pkg/biology/BBTools/BBTools_v37.62/bin/bbduk.sh"
## User variables
expID=$1
outdir=$2
fq_path=$3
teloSeq_ref=$4
ncore=$5
# Gather read files (Incude file path)
reads_file=$(echo $(ls $fq_path | grep ${expID} | grep .fq.gz))
# Split the read_list into an array
IFS='... |
45fb57b8092d20b6938f82cbd277de5ff59c27445525486bf6c49b4838cec82d | Shell | 1,156 | 34 | #!/bin/sh
# Exercise a bug whereby an invalid input could make gzip -d misbehave.
# Copyright (C) 2009-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, eithe... |
6e60c652b36f2f4fa7ad336afbad27e6a6ad72a0512deb37e85693f67f62a3a6 | Shell | 1,157 | 51 | #!/bin/bash
## Build XGBoost with CUDA
## Companion script for ops/pipeline/build-cuda.sh
set -euox pipefail
if [[ "${BUILD_ONLY_SM75:-}" == 1 ]]
then
cmake_args='-DGPU_COMPUTE_VER=75'
else
cmake_args=''
fi
if [[ "${USE_RMM:-}" == 1 ]]
then
cmake_prefix_path='/opt/grpc;/opt/rmm;/opt/rmm/lib64/rapids/cmake'
c... |
96565d719ee5329d8a20932595e9b34fa7e120bda35101ce41477a1837deddfe | Shell | 1,158 | 70 | # Messaging
debug () {
[ -z "$DEBUG_BATS" ] || echo " DEBUG: $@" >&3
}
debug_run () {
debug "> STATUS=$status OUTPUTS:"
for line in "${lines[@]}"; do
debug ">> $line"
done
}
fail_msg () {
echo -e "FAIL: $@" >&3
}
fail () {
fail_msg "$@"
exit 1
}
error () {
echo -e "ERROR: $@" >&3
exit 2
}
myrun () {
ec... |
0f0b6891a3a369e50ecc157e1580504f01ea24899b3736906f5b3d19d167a743 | Shell | 1,159 | 38 | #!/bin/bash
# turn on bash's job control
set -m
# write the password
echo $LDAP_ADMIN_PASSWORD > /etc/ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/pam_ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/libnss-ldap.secret
unset LDAP_ADMIN_PASSWORD
# wait for the nodes to spin up and create passwordless ssh
/wait-for-it.sh ... |
056b96dd053a43a5c055d75d60eaa5947ea4e949edc4384b289f432c3ee8b8f6 | Shell | 1,166 | 70 | #!/bin/bash
set -e
set -x
# make sure this is created by a user, not root
mkdir -p ~/.local/share
# set up python environment
python3.8 -m venv ~/catmaid-env
source ~/catmaid-env/bin/activate
echo "source ~/catmaid-env/bin/activate" >> ~/.bashrc
# install python dependencies
cd /CATMAID/django
pip install -U pip set... |
4d6de189168beead202965eba1f4769dbb5621480bf681b6007f5ab2dca588a4 | Shell | 1,169 | 15 |
CLUEDATA_PATH=./CLUE_DATA #CLUE 原始数据路径
UNIDATA_PATH=./data #处理数据输出路
SCRIPT_PATH=./data_preprocessing
python $SCRIPT_PATH/afqmc_preprocessing.py --data_path=$CLUEDATA_PATH/afqmc_public --save_path=$UNIDATA_PATH/afqmc
python $SCRIPT_PATH/c3_preprocessing.py --data_path=$CLUEDATA_PATH/c3_public --save_path=$UNIDAT... |
ef672f703d072237cbebd47743c253270ad6dc249a8074fe23de3559cd4c5a0d | Shell | 1,174 | 51 | #!/bin/bash
# this script is to perform preprocess of T1 images:
# include linear reg, non linear reg and brain extraction
## directory
ROOTDIR=/data/brain_age_estimation/
cd ${ROOTDIR}
files=(ls *.nii.gz)
pip (){
local sta=$1
local num=$2
echo "process $sta : $((sta+num))"
#loop
for file in $... |
56020463d841d751f57a7233e24d72779d42f9594aa4438ef7ad20be2e90d6fe | Shell | 1,175 | 44 | #!/bin/bash
##SBATCH --job-name=KindersegCPU
#SBATCH --time=07:00:00
#SBATCH --partition=compute
#SBATCH --mem=32G
#SBATCH --tasks=10
#SBATCH --array=1-226
# To build the Singularity container: singularity build fastsurfer-gpu.sif docker://deepmi/fastsurfer:latest
sub_dir='/home/dellorca/ag_work/dellorca/data/Kinde... |
76ecad0e17a7ac7472394f04dd578893573349f1ec14c170fe477024c2a4702d | Shell | 1,176 | 34 | #!/bin/bash
# turn on bash's job control
set -m
# write the password
echo $LDAP_ADMIN_PASSWORD > /etc/ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/pam_ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/libnss-ldap.secret
unset LDAP_ADMIN_PASSWORD
# wait for the nodes to spin up and create passwordless ssh
/wait-for-it.sh ... |
75033f428f7c246a2780caa83b9a62baef003d481b24116cab9ff04d94bbbe43 | Shell | 1,184 | 39 | #!/bin/bash
# Please run this script under ${project_id} in project directory of
deepspeed_args="--master_port=11000" # Default argument
if [ $# -ge 1 ]; then
deepspeed_args="$1"
fi
exp_id=finetune_with_lora_formula_solid_precursor_all_8bf
project_dir=/data1/home/hhu01/zlsong/CSLLM
output_dir=${project_dir}/out... |
90ebadba5369aa71c16bf2f661b669eb27c9d70f2edcb7324498d47591c51882 | Shell | 1,184 | 27 | #!/bin/bash
#BSUB -J samtools_merge
#BSUB -o logs/samtools_merge.%J.out
#BSUB -e logs/samtools_merge.%J.err
#BSUB -n 12
#BSUB -R rusage[mem=50]
#make direcotories if they don't exist
mkdir -p logs
mkdir -p merged_filtered_bams
. /usr/share/Modules/init/bash
module load modules modules-init
module load samtools
# cha... |
fd6bc48165520b2454522b780192f69690f520fb02cc65344fcfdc4b0e32df0b | Shell | 1,184 | 62 | #!/bin/bash
# Default values
INPUT_DATA=""
INPUT_LABELS=""
MODEL_FILES=""
OUTPUT_RESULTS=""
# Parse arguments
while [[ $# -gt 0 ]]; do
case $1 in
--input-data)
INPUT_DATA="$2"
shift 2
;;
--input-labels)
INPUT_LABELS="$2"
shift 2
... |
e4d874980fa224fdc5e4cb9b2f017418ecb5f3888912de53e9ca67830835a02a | Shell | 1,186 | 32 | #!/bin/bash -l
#SBATCH --job-name=corr
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=12
#SBATCH --mem-per-cpu=40G
#SBATCH --time=05:00:00
#SBATCH -o ./logcorr/np_%A_%a.o
#SBATCH -e ./logcorr/np_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-3%10
##-3%10
conda activate spacetop_env
echo "SL... |
1e96406531d9421c0c117006121dc1d32c1d0daed001860fd81dba5b53e488d3 | Shell | 1,191 | 35 | #!/bin/sh
# Before gzip-1.5, gzip -d -S '' k.gz would delete F.gz and not create "F"
# Copyright (C) 2010-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, ei... |
e445d6b8e79098bb70b66c575a067482782159d55883a645fd7c5bf389713b4f | Shell | 1,193 | 37 | #!/bin/bash
# Copyright 2013-2023, Derrick Wood <dwood@cs.jhu.edu>
#
# This file is part of the Kraken 2 taxonomic sequence classification system.
# Build a 16S database from Silva data
set -u # Protect against uninitialized vars.
set -e # Stop on error
set -o pipefail # Stop on failures in non-final pipeline com... |
de96ae1fd9ad6c801f57632add5a3e5e9d8c23cf0ef94171f41cd03d474598cf | Shell | 1,195 | 50 | #!/bin/sh
#
# Downloads sequence for a D. melanogaster from flybase. Currently set
# to download 5.22, but F, REL, and IDX_NAME can be edited to reflect a
# different version number. (But note that you will usually also have
# to change the date in REL.)
#
DM6_BASE=ftp://hgdownload.cse.ucsc.edu/goldenPath/dm6/bigZi... |
a8af087400028ec909bec584be766fe1f0e6d30ee38c526335ea706c913e90da | Shell | 1,201 | 44 | #!/bin/bash
export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64/
# Change to the DfAnalyzer directory
cd /opt/dlprov/DfAnalyzer
# Start and restore the MonetDB database
echo "Restoring the database..."
#./restore-database.sh # Uncomment if you need to restore the database
monetdbd stop data || { echo "Failed to sto... |
80277974fa4fbe318e06d9c78c4f7224986e882af11ef2dd03e5b7398f985814 | Shell | 1,209 | 43 | #!/bin/bash
# Copyright 2013-2023, Derrick Wood <dwood@cs.jhu.edu>
#
# This file is part of the Kraken 2 taxonomic sequence classification system.
# Masks low complexity sequences in the database using the dustmasker (nucl.)
# or segmasker (prot.) programs from NCBI.
set -u # Protect against uninitialized vars.
set... |
02b1de874a46fd854da36dc4af77dcc0eef5e59d6cf7d606b46f4b845a03a6ae | Shell | 1,211 | 34 | #!/bin/sh
# Before gzip-1.4, this the use of memcpy in inflate_codes could
# mistakenly operate on overlapping regions. Exercise that code.
# Copyright (C) 2010-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public Li... |
8c5754c886ec1de5e0dc37783b7b83cc86d9e5c9cb179b0370ad03933fb93ab5 | Shell | 1,211 | 70 | # Messaging
debug () {
[ -z "$DEBUG_BATS" ] || echo " DEBUG: $@" >&3
}
debug_run () {
debug "> STATUS=$status OUTPUTS:"
for line in "${lines[@]}"; do
debug ">> $line"
done
}
fail_msg () {
echo -e "FAIL: $@" >&3
}
fail () {
fail_msg "$@"
exit 1
}
error () {
echo -e "ERROR: $@" >&3
exit 2
}
myrun () {
ec... |
c755b3c9223ad99c5170d316e758492f63fb2ae765dd6d7eb6ca13f974dc7f65 | Shell | 1,215 | 42 | #!/bin/bash
set -eo pipefail
if [[ -z "$1" ]]; then
echo "Usage: $0 <Path to install zlib>"
exit 1
fi
INSTALL_PREFIX="$1"
ZLIB_VERSION="1.3.2"
ZLIB_DIR="zlib-$ZLIB_VERSION"
if [ ! -d "$ZLIB_DIR" ]; then
# zlib.net intermittently answers HTTP 200 with an error page, which
# --fail cannot detect (it broke thi... |
ca6a3db62e9216b380e7dae2e0013ae27b1f5733b7b32589c3fbc98b046fe18b | Shell | 1,215 | 42 | gpu=1;
# load_path="none";
load_path="checkpoint/okvqa_large_batch_8_maxLen_130_stream_2_content_10_/checkpoint/best_dev";
# -------------------
dataset="okvqa";
batch_size=128;
stream=2;
# -------------------
model_size="large";
eval_data="okvqa_test_t5_v5_frequent_bm25.json";
# mean / max / 21mean /
attention_score_... |
4f5ba00d54e5e1765f58cd7f9fa8c91b7b250075929967f8de00b4753919cf1a | Shell | 1,217 | 33 | #!/bin/bash
#a demo for running brie
################################################################
# #
# Part I. Isoform estimate and differential splicing #
# #
######################... |
177fb2c77cbc6f56be06b99f965005391e9a0eceb2ec7c3635e17ef3aaf194e3 | Shell | 1,226 | 40 | #!/bin/sh
# Check that znew -K works without compress(1).
# Copyright (C) 2010-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the Licen... |
af223fc58d11ccbf6b92d0bfdd16d0ffd8ab7c59de9646bc5c5393544879287b | Shell | 1,229 | 37 | #!/bin/bash
## Build and test XGBoost with AMD64 CPU
set -euo pipefail
source ops/pipeline/classify-git-branch.sh
source ops/pipeline/get-docker-registry-details.sh
source ops/pipeline/get-image-tag.sh
IMAGE_URI=${DOCKER_REGISTRY_URL}/xgb-ci.cpu:${IMAGE_TAG}
echo "--- Build CPU code"
set -x
# This step is not nece... |
49c02bda9d05a7255e852072719ee7eae6c3246835386d9a26360535ed563497 | Shell | 1,232 | 41 | #!/bin/bash
#SBATCH --job-name=google_sp
#SBATCH --nodes=1
#SBATCH --cpus-per-task=100
#SBATCH --ntasks-per-node=1
#SBATCH -o %x-%j.log
set -x -e
echo "START TIME: $(date)"
BIN_PATH=/cognitive_comp/gaoxinyu/sentencepiece/sentencepiece/bin/usr/local/bin/spm_train
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/cognitive_c... |
43da967a04677a7905f6f5a0ac4357c3c98481ff503d4f2461271b413a6e6088 | Shell | 1,234 | 64 | #!/bin/bash
set -eo pipefail
# Default values
INPUT_DATA=""
INPUT_LABELS=""
MODEL_FILES=""
OUTPUT_RESULTS=""
# Parse arguments
while [[ $# -gt 0 ]]; do
case $1 in
--input-data)
INPUT_DATA="$2"
shift 2
;;
--input-labels)
INPUT_LABELS="$2"
... |
e5a79a463440b1c5eb3eb1e035a7bd6c343deeaaab6a597cace7be9ebce11914 | Shell | 1,240 | 35 | #!/bin/bash
# REMEMBER TO KEEP THE VERSIONS IN THIS FILE THE SAME AS IN THE pyproject.toml
set -eo pipefail
if [[ "$1" == "" ]] || [[ "$2" == "" ]]; then
echo "Usage: $0 <ARCH> <SHA> <PYTHON>"
exit 1
fi
ARCH=$1
SHA=$2
PYTHON=$3
if [[ "$PYTHON" == "" ]]; then
PYTHON="*"
fi
TIP_COMMIT_MSG="$(git show -s -... |
1845be3d72d7598a1fade06320000f3ed0c7e6fa015a13fd88db4f1f6fa3e582 | Shell | 1,245 | 36 | #!/bin/bash
#SBATCH --job-name=process_data_bert_tokenizer
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1 # number of gpus
#SBATCH --cpus-per-task=120 # cpu-cores per task (>1 if multi-threaded tasks)
#SBATCH -o /cognitive_comp/ganruyi/experiments/randeng_t5_char_77M/%x-%j.log
#SBATCH -e /cognitive_comp/ganr... |
ea773a612c3b78d924120959803af5ba75e792340af0d4c8d82233ad3a26c899 | Shell | 1,245 | 37 | #!/bin/sh
# gzip accepts trailing NUL bytes; don't fail if there is exactly one.
# Before gzip-1.4, this would fail.
# Copyright (C) 2009-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# ... |
c0b6d745b919a3662f3dcaeb146d1f8863baf052fac471e092fb1c01b7c384e2 | Shell | 1,250 | 59 | echo "testing time -- no limits set"
./datagen -s1 -g1GB > tmp
time ./adapt -otmp1.zst tmp
time zstd -1 -o tmp2.zst tmp
rm tmp*
./datagen -s2 -g2GB > tmp
time ./adapt -otmp1.zst tmp
time zstd -1 -o tmp2.zst tmp
rm tmp*
./datagen -s3 -g4GB > tmp
time ./adapt -otmp1.zst tmp
time zstd -1 -o tmp2.zst tmp
rm tmp*
echo -e... |
afaf18830a66b414e1fa20c3ec4d9a584ec324774bd8154262cd989e769985c9 | Shell | 1,251 | 29 | # generate plan and copy it to each node
medperf container run_test --container ./workspace_agg --task generate_plan
mv ./workspace_agg/plan/plan.yaml ./workspace_agg/workspace
rm -r ./workspace_agg/plan
cp ./workspace_agg/plan.yaml ./workspace_col1/
cp ./workspace_agg/plan.yaml ./workspace_col2/
cp ./workspace_agg/pla... |
68c0662f9b31ef95ca6c88e17dc8f0b89ea7367a6569e319136bc7897ba9b54d | Shell | 1,255 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrX
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/groups... |
a81646e3790882387a23219a82c851d145a47d05725d9e70678234e294000781 | Shell | 1,255 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/groups... |
e4ae728bbdde866a615026166673d98ea9633a04d1420dc605871c6f95623c44 | Shell | 1,255 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/groups... |
e6b62dae746b13ee70064e768bc840a5c0d1d581901f140338ee08338eb82517 | Shell | 1,255 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrM
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/groups... |
d363014c4e67a3a7c3bd8e874cc6675343e497f335b9824e6a32f0f39906a83e | Shell | 1,257 | 48 | #!/bin/sh
# Exercise zdiff with two compressed inputs.
# Before gzip-1.4, this would fail.
# Copyright (C) 2009-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundati... |
0ab55900f289fda70622f0127378795f94013e7ce9290587ee5eeffdece86a0d | Shell | 1,258 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrXV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/group... |
175d49475c90700fb82eb9afc4f0e5e9c658c83e88f242cab7082e5243e4a8ad | Shell | 1,258 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrIV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/group... |
1e880282d683b29986b29832e1ee4370718f1b6eee3b2a75e90a350e135789ea | Shell | 1,258 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrVI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/group... |
6be15846943aa640f8abd2931416d374f04ee1b4430ff9172dd35d5b42d5e015 | Shell | 1,258 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrXI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/group... |
e04bca43cee4a1b727d48c15fb36ec0ff0c9ef4c36d6721a8fc95c9d41687161 | Shell | 1,258 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrIX
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/group... |
fcfff90ba5286b88f469fb9d5630e140c5df8f80d3fc96eabe0e5b92897b39bd | Shell | 1,258 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/group... |
f937bfd9e1c6a056981969961554da5ec6c52f890f0f7271e6e0a59715240460 | Shell | 1,260 | 12 | #!/bin/bash
set -ex
engine=${ENGINE:-docker} # example: `ENGINE=podman ./build-cwltool-docker.sh`
VERSION=$(setuptools-scm)
${engine} build --build-arg VERSION="${VERSION}" --file=cwltool.Dockerfile --tag=quay.io/commonwl/cwltool_module --target module .
${engine} build --build-arg VERSION="${VERSION}" --file=cwltool.... |
3b1209dc23fc353b4679503ff1fa70f4f50eae4bce8edaef4fb13308704a4605 | Shell | 1,261 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrXII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
755a264988d69d1c7aaebebc971e93570b6730ea696fb9adefc64a6b72a33263 | Shell | 1,261 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrXVI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
959fe272af44747f5de6e2e6ce935060802e2f4fef16e859bdc6c4102d874cfc | Shell | 1,261 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrXIV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
9b027676817e5dcffc5ddb5a40a8cca60e4a27907ae29df3cf6a5f9816d7534e | Shell | 1,261 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrIII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
e4fc7c77f9a1b214d87fc16ed7c13e67d6ea42c01b23126f0bb5af48aeb2d249 | Shell | 1,261 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrVII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
df58af3041a0962898f77454eec86d5b813324c4e50ce6e6b3fa7f2d02970f37 | Shell | 1,262 | 63 | #!/bin/bash
#SBATCH --array=1-10
#SBATCH -p 3090-gcondo
#SBATCH --gres=gpu:1
#SBATCH --gres-flags=enforce-binding
#SBATCH --exclude=gpu2262,gpu2112
#SBATCH -N 1
#SBATCH --mem=20G
#SBATCH --time=24:00:00
#SBATCH --output=grid_iwl_only.%j.%A.%a.out
# Load modules
module load anaconda/2023.09-0-7nso27y
module load cuda/1... |
3ad5ab2f2ddc9a3db568f0a5e9da8191fa12fb5ba5321acfa64cc2fdec95f8ec | Shell | 1,264 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrXIII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
5c36362b8146b22ed80e41b96bfa767b050371dc4cd4c4c115d87ad5e34391f3 | Shell | 1,264 | 17 | #!/bin/bash
#SBATCH --job-name=pred0615chrVIII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
ef1366fb7abf95ca99a68e6ed07bff6bf30914cc1dff3e1b16e117d54af76901 | Shell | 1,265 | 18 | #!/bin/sh
unzip example_data.zip
# To get helps, run -h or --help. For example:
PROMINENT-train_test --help
# Data preparation
PROMINENT-data_prepare --input_csv gene.average.beta.by.intensity.csv --input_gmt c5.go.bp.v2023.1.Hs.symbols.gmt --output pathway_gobp.csv
#5-fold CV, PROMINENT_GOBP
PROMINENT-train_test_cv ... |
b3a8985c95161506348d76fb9a17214d0c348e65c9242a465e0c3ddd03b5d3fb | Shell | 1,267 | 26 | # Create a workspace
mkdir -p medperf_tutorial
cd medperf_tutorial
# Download the data
wget https://upenn.box.com/shared/static/y8162xkq1zz5555ye3pwadry2m2e39bs.zip
unzip y8162xkq1zz5555ye3pwadry2m2e39bs.zip
mv data/3d_rad_segmentation .
rm y8162xkq1zz5555ye3pwadry2m2e39bs.zip
rm -rf data
# Setup the data CSV
echo "S... |
6ebbecf3cf6760de6137de4d6ad23ecc581565a851d8af479da2b663182a5669 | Shell | 1,270 | 43 | #!/bin/bash
## Build docs for the JVM packages and package it in a tarball
## Note: Note: this script assumes that the user has already built libxgboost4j.so
## and place it in the lib/ directory.
if [[ $# -ne 1 ]]
then
echo "Usage: $0 [branch name]"
exit 1
fi
set -euo pipefail
branch_name=$1
# Copy in libxgboo... |
e62fe033232f0f1e8de62a417e1f56501607467fd1cb7c9ed225fdb4d34a5f57 | Shell | 1,282 | 16 |
PRED_DATA_PATH=./predict
SUBMIT_DATA_PATH=./submit
SCRIPT_PATH=./predict2submit
python $SCRIPT_PATH/afqmc_submit.py --data_path=$PRED_DATA_PATH/afqmc-M4_predict.json --save_path=$SUBMIT_DATA_PATH/afqmc_predict.json
python $SCRIPT_PATH/c3_submit.py --data_path=$PRED_DATA_PATH/c3_predict.json --save_path=$SUBMIT_DATA_... |
d82e5a748ef74e86f4a0835ef07c5a855c5b49011556fed931649a9e05722997 | Shell | 1,288 | 54 | #!/bin/sh
#
# Downloads sequence for the HG19 version of H. sapiens (human) from
# UCSC.
#
# The base files, named ??.fa.gz
#
# By default, this script builds and index for just the base files,
# since alignments to those sequences are the most useful. To change
# which categories are built by this script, edit the C... |
5195f9a9978b9876442bc2fa6ae2e1259a1062953f5d4e134fbfae34ce2cb98e | Shell | 1,289 | 54 | #!/bin/sh
#
# Downloads sequence for the MM10 version of M. musculus (mouse) from
# UCSC.
#
# The base files, named ??.fa.gz
#
# By default, this script builds and index for just the base files,
# since alignments to those sequences are the most useful. To change
# which categories are built by this script, edit the ... |
b2828d6c297a70d63d37f16d307167b992d392ad95eb494241448a6782d9821d | Shell | 1,289 | 57 | #!/bin/bash
## Build and test XGBoost with AMD64 CPU
## Companion script for ops/pipeline/build-cpu.sh
set -euox pipefail
if [[ "$#" -lt 1 ]]
then
echo "Usage: $0 {cpu,cpu-sanitizer}"
exit 1
fi
suite="$1"
mkdir -p build
pushd build
case "${suite}" in
cpu)
echo "--- Build libxgboost from the source"
cm... |
12ea3b9d67254415da40331e97ad447f04754985a769b6e6509166618cdedfd8 | Shell | 1,291 | 28 | #!/bin/bash
cd bluepyopt/tests
declare -a StringArray=("./" "test_ephys/" "test_deapext/" )
for dir in ${StringArray[@]}
do
touch ${dir}__init__.py
sed -i'' 's/^import utils/from . import utils/g' $dir*.py
sed -i'' 's/import testmodels.dummycells/from .testmodels import dummycells/g' $dir*.py
sed -i'... |
9e29e570495a5b237fce579bd5b2059f600ff061cdbc12c2438623e9ffad27d2 | Shell | 1,292 | 54 | #!/bin/sh
#
# Downloads sequence for the HG38 version of H. spiens (human) from
# UCSC.
#
# The base files, named ??.fa.gz
#
# By default, this script builds and index for just the base files,
# since alignments to those sequences are the most useful. To change
# which categories are built by this script, edit the CH... |
28af22242f437737d58e786e19b864ef2cf4f1e31fd93e7c5293f18c500fde8c | Shell | 1,293 | 54 | #!/bin/sh
#
# Downloads sequence for the HG38 version of H. sapiens (human) from
# UCSC.
#
# The base files, named ??.fa.gz
#
# By default, this script builds and index for just the base files,
# since alignments to those sequences are the most useful. To change
# which categories are built by this script, edit the C... |
6a32c54e41bee086fa84909072b7511f17be44778955d23d230bd492d214e7ea | Shell | 1,298 | 30 | #!/bin/bash
#SBATCH -A bbse-delta-gpu
#SBATCH --partition=gpuA100x4
#SBATCH --gpus=1
#SBATCH --nodes=1
#SBATCH --tasks=1
#SBATCH --cpus-per-task=8
#SBATCH --mem=60g
#SBATCH --time=2:00:00
SIF=/work/hdd/bbse/wklai/AdversarialData/Adversarial_Observation/manuscripts/POISON26/singularity/pytorch-captum.sif
cd /work/hdd/b... |
eabecdc140fc01ecd1716c2194641a70508369ead6b48e97b737a9088100686c | Shell | 1,298 | 26 | #!/usr/bin/env bash
#
# Prepare environment to run Django with PyPy. This effectively means removing
# any copy of the shared library libsqlite3.so that comes with the existing PyPy
# installations.
#
# This is unforunately needed for PyPy at the moment, because it comes with its
# own libsqlite3.so.0 on both Travis an... |
1e328b6ee4365313481a7158b971b13acdd58ba8d52611ad71a8662957ec3be2 | Shell | 1,299 | 64 | #!/bin/bash
#SBATCH --array=1-40
#SBATCH -p 3090-gcondo
#SBATCH --gres=gpu:1
#SBATCH --gres-flags=enforce-binding
#SBATCH --exclude=gpu2262,gpu2112
#SBATCH -N 1
#SBATCH --mem=20G
#SBATCH --time=24:00:00
#SBATCH --output=cat_iwl_only.%j.%A.%a.out
# Load modules
module load anaconda/2023.09-0-7nso27y
module load cuda/12... |
490372103678a86abd18cea632322ed614a376b19ab61d15ab7b5296a22ce4bd | Shell | 1,306 | 43 | #!/bin/bash
#SBATCH --job-name=finetune_taiyi # create a short name for your job
#SBATCH --nodes=1 # node count
#SBATCH --ntasks-per-node=8 # number of tasks to run per node
#SBATCH --cpus-per-task=30 # cpu-cores per task (>1 if multi-threaded tasks)
#SBATCH --gres=gpu:8 # number of gpus per node
#SBATCH -o %x-%j.log #... |
be4784dfb12e00dda8439f8aa84adacb671fc11e0e2f58a2165f048afa514690 | Shell | 1,311 | 50 | #!/bin/bash
BAM_DIR="/cluster/projects/epigenomics/Aminnn/CNR/EpigenomeLab/EPI_P003_CNR_MM10_07172022/analysis/02_alignment/bowtie2/target/adjusted_replicated"
OUT_DIR="${BAM_DIR}/results/GOPEAKS"
mkdir -p $OUT_DIR
run_gopeaks() {
local bam_file=$1
local output_prefix=$2
local additional_params=$3
... |
06cb219e573e1c305705da7f3373db8418b9ef0f561bbcffa1f15e7642c6296d | Shell | 1,315 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
5c1ecf617fbe5fbff96fd6590bd8a75720f0be15dbeb6eb72c0be514960ab40e | Shell | 1,315 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrX
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
78324a7e1edc53c2315b5537c8af00adda2db3cfd280277493507356d2c03ce2 | Shell | 1,315 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
f88a703b9cba65c4160f2188ab10d0be08db677da4d5eef453c668494c342ee1 | Shell | 1,315 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrM
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/grou... |
bc627324cf5a309a8ed9781629054092348d1b79aa72db2fa3f477838300c79e | Shell | 1,316 | 44 | #!/bin/bash
# turn on bash's job control
set -m
. /opt/bitnami/scripts/liblog.sh
# some debug for startup
info "EncoderMap's SLURM DB spooling up."
# write the password
info "Writing passwords to .secret files."
echo $LDAP_ADMIN_PASSWORD > /etc/ldap.secret
echo $LDAP_ADMIN_PASSWORD > /etc/pam_ldap.secret
echo $LDAP... |
12a875194255119b89d3ed3aae6f00bba7113f0028b304a252373f7c66aa6a9a | Shell | 1,318 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrVI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
2004d1256998347f5b2fc3c00bced5a72b0e8657fe530d3eac39522a63c63798 | Shell | 1,318 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrXV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
4ec83367a0922589f4370ec84f65e96104495713a13e68d1923f6495c83b7241 | Shell | 1,318 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrXI
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
511b263f2cb01af7cd12d79ec2fbc0ec113b9fda6ca2bd7dd1b934bb6955ce71 | Shell | 1,318 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrIV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
d9c6620d5fc286e100e8bea8532220a3905d22d66ad99fb32ce7c54175d3024c | Shell | 1,318 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrIX
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
f370e3a1d5eb5cc494a64f9dbc31836c544cb263764123b36bb93e15c7ea9dce | Shell | 1,318 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gro... |
b875433f8d9b46910e95dceeaf9ac5c7835ecddf31f71f7119ab3d4c59b10ad7 | Shell | 1,320 | 33 | #!/bin/bash
# Function to handle renaming for a given direction
rename_fmapdup() {
local DIRECTION="$1"
local RUN_NUM_ORIG="$2"
local RUN_NUM_NEW="$3"
# Construct original and new JSON filenames based on direction and run numbers
local DUPJSON="./sub-0057/ses-01/fmap/sub-0057_ses-01_acq-mb8_dir-${... |
42c65850a3c77e83e8b8a669011004643aa1299304c79641498d4621ae2bf0b8 | Shell | 1,321 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrIII
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gr... |
5996e3850ebb0cd2cc09e9face88fcf59d9dfa09d391f0a0e9d5922b80bf6ddb | Shell | 1,321 | 17 | #!/bin/bash
#SBATCH --job-name=pred220331chrXIV
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:1
#SBATCH --time=720
#SBATCH --mem=500G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err
#SBATCH --output=/private/gr... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.